Bug 723374 - dhclient.conf is ignored when generating resolv.conf
Summary: dhclient.conf is ignored when generating resolv.conf
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager   
(Show other bugs)
Version: 15
Hardware: x86_64 Linux
unspecified
high
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-20 01:51 UTC by Wyatt Gosling
Modified: 2012-08-07 16:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:02:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Wyatt Gosling 2011-07-20 01:51:43 UTC
Description of problem:
dhclient.conf seems to be ignored when resolv.conf gets generated. In my config, I have lines to prepend and append domain-names which are ignored. The problem this poses me is I access much of my companies network infrastructure.

Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1. Edit dhclient.conf as described in additional info.
2. Restart networking via system tray.
  
Actual results:
A resolv.conf is created that is identical to one without the modifications I made.

Expected results:
The line with domain-search contains numerous extra entries as specified below.

Additional info:
I added the following two lines to my file:
prepend domain-search "<office-location>.<company-name>.com <office-location>.eng.<comany-name>.com ";
append domain-search " hr.<company-name>.com";

I also tried domain-name in place of domain-search.

Comment 1 Jiri Popelka 2011-07-20 09:25:07 UTC
The /etc/dhcp/dhclient.conf is used only by network service.
I'll add a note to /etc/dhcp/dhclient.conf or eventually avoid shipping that file entirely, because it's there only because of bug #560361.

The NetworkManager, which you most likely use creates and uses its own configuration file (/var/run/nm-dhclient-<iface>.conf) for dhclient.
The only way how to influence what will be in nm-dhclient-<iface>.conf is via NM GUI (because the file is regenerated during restart) and AFAICT there's no such option to prepend/append domain-search/domain-name, is it ? Jirka, Dan ?

Comment 2 Orion Poplawski 2011-09-28 21:45:28 UTC
NM looks for /etc/dhclient-<interface>.conf then /etc/dhcp/dhclient-<interface>.conf and will merge the first found into the dhclient config files it produces.

Comment 3 Fedora End Of Life 2012-08-07 16:02:39 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.